
class DualView (view1:View, view2:View) extends View {

  def attachToModel (m:Model):Unit = {
    view1.attachToModel(m)
    view2.attachToModel(m)
  }
  
  def update (vis:Visible):Unit = {
    view1.update(vis)
    view2.update(vis)
  }

  def win ():Unit = {
    view1.win()
    view2.win()
  }	
}



