
/* 
 * Main class for the maze game 
 *
 * With a text controller and two views, the text view and the GUI view
 * 
 */

object MainDual {

  def main (argv:Array[String]):Unit = {
	
    val v1 = new GUIView
    val v2 = new TextView
    val v = new DualView(v1,v2)

    val c = new TextController

    val m = new BasicModel(v,c)

    c.run()

  }
}
