
/*
 * The interface describing models for the maze game
 *
 * Basically lists the actions that can be performed
 * These are usually called by the controller
 *
 */


trait Model {

  def performLeft ():Boolean
  def performRight ():Boolean
  def performForward ():Boolean
  def performBack ():Boolean
}
