
/*
 * The interface describing views for the maze game
 *
 * Basically, a view can be updated (passed an abstraction of 
 * what the player sees) or be told that the game has been won
 *
 */


trait View {

    def attachToModel (m:Model):Unit
    def update (vis:Visible):Unit
    def win ():Unit
}
